## climm 0.7-1maemo0

=== debian/changelog ===
climm (0.7-1maemo0) unstable; urgency=low

  * Compile without tcl and xmpp.
  * Don't include docs and translations in binary package.
  * Don't include sender name and "www.climm.org" in sms.

 -- Matan Ziv-Av <matan@svgalib.org>  Fri,  5 Feb 2010 16:50:38 +0200

climm (0.7-0) unstable; urgency=low

  * New upstream version with new version.

 -- Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>  Sun, 17 May 2009 12:00:00 +0200
