=== debian/control ===
Source: climm
Section: net
Priority: optional
Maintainer: Matan Ziv-Av <matan@svgalib.org>
Build-Depends: debhelper (>= 4.0.0), libgnutls7-dev | libgnutls10-dev | libgnutls11-dev | libgnutls-dev, libssl-dev
Standards-Version: 3.5.9

Package: climm
Architecture: any
Depends: ${shlibs:Depends}
Recommends: popularity-contest
Provides: micq,micq-ssl
Replaces: micq (<< 1:0.6), micq-ssl (<< 1:0.6)
Conflicts: micq (<< 1:0.6), micq-ssl (<< 1:0.6)
Description: text/line based ICQ client with many features
 climm is a portable, small, yet powerful console based ICQ client. It
 supports password changing, auto-away, creation of new accounts, searching,
 file transfer, acknowledged messages, SMS, client identification, logging,
 scripting, transcoding, multi-UIN usage and other features that makes it a
 very complete yet simple internationalized client supporting the current
 ICQ v8 protocol.
 It now also supports the XMPP protocol as well as OTR encrypted messages.
 .
 It has leading support for (ICQ2002+/ICQ Lite/ICQ2go) unicode encoded
 messages unreached by other ICQ clones.
 .
 A lot of other ICQ clients are based in spirit on climm, nevertheless
 climm is still _the_ console based ICQ client.
